@echo off
chcp 65001>NUL
rem setlocal && cd /D "%~dp0"
REM AYTO TO SCRIPT ΕΝΗΜΕΡΩΝΕΙ ΤΟ YT-DLP ΕΚΛΤΕΛΕΣΙΜΟ ΠΟΥ ΕΙΝΑΙ ENA FRONTEND TOY FFMPEG ΓΡΑΜΜΕΝΟ ΣΕ PYTHON
REM ΦΥΣΙΚΑ ΓΙΑ ΝΑ ΕΝΗΜΕΡΩΘΕΙ ΠΡΕΠΕΙ ΝΑ ΥΠΑΡΧΕΙ ΣΤΟΝ ΦΑΚΕΛΟ BIN ΤΟΥ FFMPEG: https://github.com/yt-dlp/yt-dlp
REM ΤΑ SCRIPT ΕΙΝΑΙ ΜΕΡΟΣ ΤΟΥ gamelink.gr-ffmpeg-scripts.zip ΑΠΟ ΤΟ EL.GAMELINK.GR
REM Ακολουθεί το Url για να μάθετε περισσότερα ή να το κατεβάσετε. Καλά video editing!
REM 
REM https://el.gamelink.gr/blog/Pws-Mporeite-Na-Mikrynete-ta-Video-gia-tis-MkDocs-Selides-sas-me-to-ffmpeg/ 
REM 

:FF

echo.
echo Αρχίζω να ενημερώνω το FFmpeg ..
echo.
call yt-dlp --update --color screen:no_color --color stdout:no_color --color stderr:never
rem τρελαινει τα χρώματα του script το yt-dlp λογω της ctypes βιβλιοθηκης που χρησιμοποιώ και εγω στο GameLink :p
color 1F

if %ERRORLEVEL% NEQ 0 (
		call vidCodeError.bat %errorlevel%
		shift
	) else (
		call vidCodeError.bat 0
		shift		
)

if "%~1" == "" goto End
goto FF

rem endlocal 

:End 
call vid0ends.bat
exit /b 0